Bug 769 - nscd fails when request/result data cannot be read/written in a single syscall
Summary: nscd fails when request/result data cannot be read/written in a single syscall
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: libc (show other bugs)
Version: 2.3.4
: P2 normal
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks: libc235
  Show dependency treegraph
 
Reported: 2005-02-26 01:21 UTC by Roland McGrath
Modified: 2005-03-15 08:03 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roland McGrath 2005-02-26 01:21:57 UTC
This trunk change is needed on the 2.3 branch.

2005-02-22  Jakub Jelinek  <jakub@redhat.com>

	* nscd/nscd-client.h: Include sys/uio.h.
	(__readall, __readvall, writeall): New prototypes.
	* nscd/connections.c (writeall): New function.
	(handle_request): Use it.
	* nscd/aicache.c (addhstaiX): Likewise.
	* nscd/initgrcache.c (addinitgroupsX): Likewise.
	* nscd/hstcache.c (cache_addhst): Likewise.
	* nscd/grpcache.c (cache_addgr): Likewise.
	* nscd/pwdcache.c (cache_addpw): Likewise.
	* nscd/nscd_helper.c (__readall, __readvall): New functions.
	* nscd/nscd_getai.c (__nscd_getai): Use them.
	* nscd/nscd_getpw_r.c (__nscd_getpw_r): Likewise.
	* nscd/nscd_getgr_r.c (__nscd_getgr_r): Likewise.
	* nscd/nscd_gethst_r.c (__nscd_gethst_r): Likewise.
	* nscd/nscd_initgroups.c (__nscd_getgrouplist): Likewise.
Comment 1 cvs-commit@gcc.gnu.org 2005-02-26 01:24:26 UTC
Subject: Bug 769

CVSROOT:	/cvs/glibc
Module name:	libc
Branch: 	glibc-2_3-branch
Changes by:	roland@sources.redhat.com	2005-02-26 01:24:11

Modified files:
	nscd           : nscd_helper.c nscd-client.h connections.c 
	                 aicache.c nscd_getpw_r.c nscd_gethst_r.c 
	                 nscd_getai.c grpcache.c pwdcache.c hstcache.c 
	                 initgrcache.c nscd_getgr_r.c nscd_initgroups.c 

Log message:
	2005-02-22  Jakub Jelinek  <jakub@redhat.com>
	
	[BZ #769]
	* nscd/nscd-client.h: Include sys/uio.h.
	(__readall, __readvall, writeall): New prototypes.
	* nscd/connections.c (writeall): New function.
	(handle_request): Use it.
	* nscd/aicache.c (addhstaiX): Likewise.
	* nscd/initgrcache.c (addinitgroupsX): Likewise.
	* nscd/hstcache.c (cache_addhst): Likewise.
	* nscd/grpcache.c (cache_addgr): Likewise.
	* nscd/pwdcache.c (cache_addpw): Likewise.
	* nscd/nscd_helper.c (__readall, __readvall): New functions.
	* nscd/nscd_getai.c (__nscd_getai): Use them.
	* nscd/nscd_getpw_r.c (__nscd_getpw_r): Likewise.
	* nscd/nscd_getgr_r.c (__nscd_getgr_r): Likewise.
	* nscd/nscd_gethst_r.c (__nscd_gethst_r): Likewise.
	* nscd/nscd_initgroups.c (__nscd_getgrouplist): Likewise.

Patches:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd_helper.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.8&r2=1.8.2.1
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd-client.h.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.19&r2=1.19.2.1
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/connections.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.64&r2=1.64.2.1
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/aicache.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.5&r2=1.5.4.1
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd_getpw_r.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.29&r2=1.29.2.1
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd_gethst_r.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.30.2.1&r2=1.30.2.2
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd_getai.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.9.2.1&r2=1.9.2.2
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/grpcache.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.36.4.1&r2=1.36.4.2
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/pwdcache.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.35.4.1&r2=1.35.4.2
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/hstcache.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.31.4.1&r2=1.31.4.2
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/initgrcache.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.2&r2=1.2.2.1
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd_getgr_r.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.40&r2=1.40.2.1
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd_initgroups.c.diff?cvsroot=glibc&only_with_tag=glibc-2_3-branch&r1=1.7.2.1&r2=1.7.2.2

Comment 2 Jakub Jelinek 2005-03-15 08:03:52 UTC
Fixed in CVS.